package com.api.tjbk.Result;

public class Result {
    private Object data;
    private Integer code;
    private String errMsg;

    public Result(Object data, Integer code, String errMsg) {
        this.data = data;
        this.code = code;
        this.errMsg = errMsg;
    }

    public Result(Object data) {
        this.data = data;
        this.code = 200;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public Result(Integer code, String errMsg) {

        this.code = code;
        this.errMsg = errMsg;
    }
}
